#!/bin/sh
#
# get-diff-src.sh - Get the diff(1) source code from the OpenBSD source
#                   release.
#
# NOTE:  This takes a while because src.tar.gz is large.  We could get the
# calendar source from CVS, but we don't have CVS in Peachtree.  I am ok
# with this method as it is not something we will update often.
#
# David Cantrell <dcantrell@burdell.org>
#

PATH=/usr/bin
PROG="$(basename "$0")"
VER="$1"
SRC="http://ftp.openbsd.org/pub/OpenBSD/${VER}/src.tar.gz"
CWD="$(pwd)"
TMPDIR="$(mktemp -d -p "${CWD}" "${PROG}".XXXXXXXX)"

if [ -z "${VER}" ]; then
    VER="$(make show var=VER)"
fi

trap 'rm -rf "${TMPDIR}"' EXIT

cd "${TMPDIR}" || exit 1
curl -L --retry 3 --ftp-pasv -O "${SRC}" || exit 1
gzip -dc src.tar.gz | tar -xvf -
cd usr.bin
find diff -type d -name CVS | xargs rm -rfv
rm -rfv "${CWD}"/src
cp -prv diff "${CWD}"/src
