#!/bin/sh
#
# Clean up /etc/ssl/certs symlinks in the package, make
# them relative to /usr/share/ca-certificates
#

PATH=/usr/bin
CERTSDIR="$1"
WRKINST="$2"

[ -d "${CERTSDIR}" ] || exit 1
[ -d "${WRKINST}" ] || exit 2

cd "${CERTSDIR}" || exit 3

for f in * ; do
    [ -L "${f}" ] || continue
    dest="$(readlink "${f}")"
    if [ "$(echo "${dest}" | cut -c1)" = "/" ]; then
        newdest="$(echo "${dest}" | sed -e "s|^${WRKINST}/|../../../|g")"
        ln -sf "${newdest}" "${f}"
    fi
done

exit 0
