#!/bin/sh
WRKINST="$1"
XMLCATALOG_OPTS="--noout --no-super-update"
XMLCONF="${WRKINST}"/etc/xml

mkdir -p "${XMLCONF}"
chmod 0755 "${XMLCONF}"

# Create a new docbook file
xmlcatalog ${XMLCATALOG_OPTS} --create "${XMLCONF}"/docbook

# Create entries for the docbook files
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//DTD DocBook XML V4.5//EN' 'http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//DTD DocBook XML CALS Table Model V4.5//EN' 'file:///usr/share/xml/docbook/xml-dtd/calstblx.dtd' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//DTD XML Exchange Table Model 19990315//EN' 'file:///usr/share/xml/docbook/xml-dtd/soextblx.dtd' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//ELEMENTS DocBook XML Information Pool V4.5//EN' 'file:///usr/share/xml/docbook/xml-dtd/dbpoolx.mod' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//ELEMENTS DocBook XML Document Hierarchy V4.5//EN' 'file:///usr/share/xml/docbook/xml-dtd/dbhierx.mod' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//ELEMENTS DocBook XML HTML Tables V4.5//EN' 'file:///usr/share/xml/docbook/xml-dtd/htmltblx.mod' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//ENTITIES DocBook XML Notations V4.5//EN' 'file:///usr/share/xml/docbook/xml-dtd/dbnotnx.mod' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//ENTITIES DocBook XML Character Entities V4.5//EN' 'file:///usr/share/xml/docbook/xml-dtd/dbcentx.mod' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'public' '-//OASIS//ENTITIES DocBook XML Additional General Entities V4.5//EN' 'file:///usr/share/xml/docbook/xml-dtd/dbgenent.mod' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'rewriteSystem' 'http://www.oasis-open.org/docbook/xml/4.5' 'file:///usr/share/xml/docbook/xml-dtd' "${XMLCONF}"/docbook
xmlcatalog ${XMLCATALOG_OPTS} --add 'rewriteURI' 'http://www.oasis-open.org/docbook/xml/4.5' 'file:///usr/share/xml/docbook/xml-dtd' "${XMLCONF}"/docbook

# Redirect requests for old versions to this version
for DTDVERSION in 4.1.2 4.2 4.3 4.4 ; do
    xmlcatalog ${XMLCATALOG_OPTS} --add "public" "-//OASIS//DTD DocBook XML V${DTDVERSION}//EN" "http://www.oasis-open.org/docbook/xml/${DTDVERSION}/docbookx.dtd" "${XMLCONF}"/docbook
    xmlcatalog ${XMLCATALOG_OPTS} --add "rewriteSystem" "http://www.oasis-open.org/docbook/xml/${DTDVERSION}" "file:///usr/share/xml/docbook/xml-dtd" "${XMLCONF}"/docbook
    xmlcatalog ${XMLCATALOG_OPTS} --add "rewriteURI" "http://www.oasis-open.org/docbook/xml/${DTDVERSION}" "file:///usr/share/xml/docbook/xml-dtd" "${XMLCONF}"/docbook
done
