#!/bin/sh
WRKINST="$1"
XMLCATALOG_OPTS="--noout --no-super-update"
XMLCONF="${WRKINST}"/etc/xml
XSLURL="http://docbook.sourceforge.net/release/xsl"
SLDIR="/usr/share/xml/docbook/xml-stylesheets"

mkdir -p "${XMLCONF}"
chmod 0755 "${XMLCONF}"

# Create a new catalog file
xmlcatalog ${XMLCATALOG_OPTS} --create "${XMLCONF}"/catalog

# Add entries for the stylesheets we have
xmlcatalog ${XMLCATALOG_OPTS} --add "rewriteSystem" "${XSLURL}/1.77.1" "${SLDIR}" "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add "rewriteURI" "${XSLURL}/1.77.1" "${SLDIR}" "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add "rewriteSystem" "${XSLURL}/current" "${SLDIR}" "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add "rewriteURI" "${XSLURL}/current" "${SLDIR}" "${XMLCONF}"/catalog

# These are actually for the docbook-xml package, but go ahead and add them here
xmlcatalog ${XMLCATALOG_OPTS} --add 'delegatePublic' '-//OASIS//ENTITIES DocBook XML' 'file:///etc/xml/docbook' "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add 'delegatePublic' '-//OASIS//DTD DocBook XML' 'file:///etc/xml/docbook' "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add 'delegateSystem' 'http://www.oasis-open.org/docbook/' 'file:///etc/xml/docbook' "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add 'delegateURI' 'http://www.oasis-open.org/docbook/' 'file:///etc/xml/docbook' "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add "delegateSystem" "http://www.oasis-open.org/docbook/xml/${DTDVERSION}/" "file:///etc/xml/docbook" "${XMLCONF}"/catalog
xmlcatalog ${XMLCATALOG_OPTS} --add "delegateURI" "http://www.oasis-open.org/docbook/xml/${DTDVERSION}/" "file:///etc/xml/docbook" "${XMLCONF}"/catalog

# Redirect requests for old versions to this version
for DTDVERSION in 4.1.2 4.2 4.3 4.4 ; do
    xmlcatalog ${XMLCATALOG_OPTS} --add "delegateSystem" "http://www.oasis-open.org/docbook/xml/${DTDVERSION}/" "file:///etc/xml/docbook" "${XMLCONF}"/catalog
    xmlcatalog ${XMLCATALOG_OPTS} --add "delegateURI" "http://www.oasis-open.org/docbook/xml/${DTDVERSION}/" "file:///etc/xml/docbook" "${XMLCONF}"/catalog
done
