#!/bin/sh
PATH=/usr/bin
CWD="$(pwd)"
URL="$(make show var=URLS)"
TMPDIR="$(mktemp -d)"

trap 'rm -rf "${TMPDIR}"' EXIT

cd "${TMPDIR}" || exit 1
curl -o pnp.ids.csv "${URL}"
${CWD}/process-pnp-ids.py pnp.ids.csv pnp.ids

# Fix up errors
sed -i -e 's/\tDO NOT USE - AUO/\tAU Optronics/g' pnp.ids
sed -i -e 's/\tCapstone Visua lProduct Development/\tCapstone Visual Product Development/g' pnp.ids
sed -i -e 's/\tHON HAI PRECISON IND.CO.,LTD./\tHON HAI PRECISION IND.CO.,LTD./g' pnp.ids
sed -i -e 's/\tGoldstar Company Ltd/\tLG Electronics/g' pnp.ids
sed -i -e 's/\tDO NOT USE - LPL/\tLG Phillips/g' pnp.ids
sed -i -e 's/\tDO NOT USE - UND/\tUnisys Corporation/g' pnp.ids
sed -i -e 's/\tDO NOT USE - UNE/\tUnisys Corporation/g' pnp.ids
sed -i -e 's/\tDO NOT USE - UNF/\tUnisys Corporation/g' pnp.ids
sed -i -e 's/\tMyse Technology/\tWyse Technology/g' pnp.ids

# Nicer
sed -i -e 's/\tDO NOT USE - /\tInvalid Vendor Codename - /g' pnp.ids

# Clean up
rm -f pnp.ids.csv
mv pnp.ids "${CWD}"/pnp.ids
