#!/usr/bin/python3
#
# Copyright Chris Lumens <chris@bangmoney.org>
# Copyright David Cantrell <dcantrell@burdell.org>
# SPDX-License-Identifier: Apache-2.0
#

import os
import re
import sys

if sys.version_info.major == 2:
    import ConfigParser as configparser
else:
    import configparser

UPSTREAM_FILE = 'upstream'

if __name__ == "__main__":
    urls = []

    upstream = configparser.ConfigParser()
    upstream.read(UPSTREAM_FILE)
    baseurl = "https://hackage.haskell.org/package/"

    # iterate over each upstream source
    for section in upstream.sections():
        if section == 'Stackage LTS':
            continue

        # we may be the upstream, so just continue
        if upstream.has_option(section, 'no_upstream') and upstream.getboolean(section, 'no_upstream'):
            continue

        if upstream.has_option(section, 'hackage') and upstream.has_option(section, 'ver'):
            urls.append(baseurl + upstream.get(section, 'hackage') + '-' + upstream.get(section, 'ver'))
        elif upstream.has_option(section, 'stackage') and upstream.has_option(section, 'ver'):
            urls.append(baseurl + upstream.get(section, 'stackage') + '-' + upstream.get(section, 'ver'))

    if urls:
        print(' '.join(urls))
