#!/bin/sh
#
# Helper script to keep the DOCS and LICENSES variables up to date
# in the Makefile.  It does not automate everything, but it helps
# get a list to work with that can be chopped up.
#

PATH=/usr/bin
CWD=$(pwd)
PROG=$(basename $0)
WRKDIR="$1"

if [ -z "${WRKDIR}" ] || [ ! -d "${WRKDIR}" ]; then
    echo "Usage: ${PROG} WRKDIR"
    echo "For example, after a build, do this:"
    echo "    ${PROG} \$(make show var=WRKDIR)"
    exit 1
fi

find ${WRKDIR} -maxdepth 1 -type l | while read line ; do
    pkg="$(basename ${line})"

    cd ${WRKDIR}/${pkg}
    find . -maxdepth 1 -type f | \
    grep -vE '\.(cabal|hs|lhs|orig|yml|ghci|gitignore|ac|in|sub|m4|yaml)$' | \
    grep -vE 'configure|\.vim\.custom' | \
    while read filename ; do
        fn="$(basename ${filename})"
        echo "${pkg}/${fn}"
    done
done
