#!/bin/sh
#
# Rebuild all of the Haskell packages without doing a REL bump or
# anything.  This can save time when making a release build as all of
# the Haskell stuff needs to be built together and if things have been
# updated at various points, this script can just do a rebuild of all
# the Haskell stuff to link it all together.  The assumption is all of
# the Haskell packages build cleanly.
#

PATH=/usr/bin
CWD="$(pwd)"

if [ ! -f "${CWD}/gen-build-order.sh" ]; then
    echo "*** Run this script from the base/haskell directory." >&2
    exit 1
fi

${CWD}/gen-build-order.sh |
while read pkg ; do
    msg="Rebuilding ${pkg}"
    bar="$(echo "${msg}" | sed -e 's/./=/g')"

    echo "+=${bar}=+"
    echo "| ${msg} |"
    echo "+=${bar}=+"

    ( cd "$(echo "${pkg}" | cut -d '/' -f 3)" ; make missingreqs 2>&1 | tee log )
done
