#!/bin/sh
#
# Append cabal user environment to main environment, set some
# variables to assist the cabal command.
#

# Checks for $1 in $PATH, 0=true, 1=false
have_dir_in_path() {
    checkdir="${1}"

    [ -z "${checkdir}" ] && return 1

    OLDIFS="${IFS}"
    IFS=:
    for d in ${PATH} ; do
        [ "${checkdir}" = "${d}" ] && return 0
    done

    IFS="${OLDIFS}"
    return 1
}

# Setting LD_RUN_PATH helps ld(1) when called from cabal.
if [ -z "${LD_RUN_PATH}" ]; then
    LD_RUN_PATH=/usr/lib
    export LD_RUN_PATH
fi

# If we have a .cabal/bin directory, make sure it's in the PATH
if [ -d "${HOME}/.cabal/bin" ]; then
    have_dir_in_path "${HOME}/.cabal/bin" || PATH="${HOME}/.cabal/bin:${PATH}"
    export PATH
fi
