#!/bin/sh
# Copyright 2014 David Cantrell <dcantrell@burdell.org>
#
# SPDX-License-Identifier: Apache-2.0

# Replace all #!/bin/bash instances in the kernel source with #!/bin/sh
PATH=/usr/bin:/usr/sbin

[ -d "${1}" ] || exit 1

# this should take care of most of the bash attempts
find "${1}" -type f -print0 | xargs -0 grep '#!/bin/bash' | cut -d ':' -f 1 | while read -r line ; do
    sed -i -e 's|#!/bin/bash|#!/bin/sh|g' "${line}"
done

# the doc tree is tricky, make sure it doesn't try to use bash
if [ -d "${1}"/Documentation ]; then
    find "${1}"/Documentation -type f -print0 | xargs -0 grep '/bin/bash' | cut -d ':' -f 1 | while read -r line ; do
        sed -i -e 's|/bin/bash|/bin/sh|g' "${line}"
    done
fi

# dash does not require "SIG" in signal names
# dash also does not recognize 'ERR' as a signal name
if [ -f "${1}"/scripts/link-vmlinux.sh ]; then
    sed -i -e 's|SIG||g' "${1}"/scripts/link-vmlinux.sh
    sed -i -e 's|ERR||g' "${1}"/scripts/link-vmlinux.sh
fi
