# The Linux kernel version number.
# This file is included in package Makefiles that need the kernel version.
#
# Peachtree Linux kernel policy (as of March 2013):
# Given that Peachtree Linux is not intending to be a bleeding edge
# distribution, we should choose our kernels carefully.  The upstream
# kernel developers release a new mainline stable series every 2 or 3
# months, which is entirely too fast for us.  However, multiple
# branches are maintained as longterm stable releases.  We should
# choose the most recent longterm stable branch that works for us and
# avoid going with the latest mainline stable.  Many mainline releases
# move directly to EOL status rather than longterm status.
#
# 02-Mar-2013:  You see that we are on the 3.7 kernel series here,
# which has been declared EOL.  I'm ok with that.  We will just stick
# with it until a new longterm stable release later than 3.7 is posted
# on www.kernel.org.  --dcantrell
#
# 04-Jun-2013:  I thought there would be a new longterm release before
# we got to our non-testing release release, but no.  The most recent
# longterm kernel continues to be 3.4.x.  Both 3.7.x and 3.8.x are EOL
# and 3.9.x is not going to be longterm.  There is no indication what
# the next longterm one will be, but I would much rather be on an live
# longterm kernel than an EOL kernel for our first release. --dcantrell
#
# 02-Jan-2014:  Giving 3.10.x a try now.
#
# 23-Oct-2015:  The 4.1 kernel is the first longterm 4.x series kernel,
# so time to move to that.  The 3.x longterm kernels were reasonably
# reliable and consistent, so I am hoping for a repeat with 4.x.
#
# 23-Nov-2015:  4.1.13 is throwing all kinds of kernel panics from what
# I think is the iwlwifi driver on my dual Xeon workstation, so I'm
# going to take it to 4.2.x and see what happens.  --dcantrell
#
# 21-Dec-2015:  Trying 4.1.x series again with 4.1.15.  Some fixes for
# iwlwifi went in.  The 4.2.x series is EOL now, so I'd like to be on
# a longterm kernel.  --dcantrell
#
# 12-Oct-2017:  Following the longterm kernels has been working well
# for both architectures.  The x86_64 kernel needs to ensure it has the
# AES-NI support compiled in or LUKS encryption will be really slow.
# There are kernel test cases at the top level to check.  --dcantrell
#
# 03-Apr-2020:  We're now on the 5.4 kernel.  I changed around the
# package Makefile so that we drive the kernel compilation directly
# through the pre/post targets.  The 4.19 series was pretty stable for
# me.  I hope 5.4 is good as well.  Here at Peachtree Linux world
# headquarters, we are on day 22 of COVID-19 quarantine.  --dcantrell
#
# 28-May-2021: The longterm kernel has been working more or less ok
# for us.  It's now up to 5.10, but I see no reason to move us off the
# longterm kernel and on to the stable kernel.  I have dropped the
# stable kernel block from the 'upstream' file.  --dcantrell
#
# 28-Jul-2021: I am currently on vacation, so how about a new kernel.
# Updating to 5.10.54.  I have been trying to prune out drivers we
# don't use or don't care about but that's difficult.  Please feel
# free to walk through the configuration of the kernel and turn off
# anything that you know none of us use.  Examples of good candidates
# would be driver stacks for industrial things that none of us have.
# Examples of bad things to disable would be exotic filesystems, USB
# stuff, or virtualization stuff.  --dcantrell
#
# 15-Sep-2021: Move to the stable kernel since the longterm kernel is
# getting a bit old for some of my hardware.  RHEL-9 is going to use
# 5.14, so I figure that's good enough to say it's ok to
# use. --dcantrell
#
# 20-Jan-2022: The 5.15 series is now longterm and is reasonbly stable
# and functional.
#
# 26-Feb-2023: A new year and a new longterm series with 6.1.  The
# 5.15 series was reliable and I hope 6.1 does the same.

KERNEL_VERSION = 6.12.23
