# The configure script generates this file, but not in the best way.
# If you have stuff in /usr/local, it can break things.  We carry a
# statically defined config.mk for this package to make sure it builds
# the same way each time.

PKG_CONFIG       := pkg-config
AR               := ar
CC               := gcc
YACC             := bison

TC_CONFIG_NO_XT  := y
IP_CONFIG_SETNS  := y

CFLAGS           += -DHAVE_SETNS
CFLAGS           += -DHAVE_HANDLE_AT

# rpc
HAVE_RPC         := y
LDLIBS           += -L$(SYSROOT)$(LIBDIR) -ltirpc
CFLAGS           += -DHAVE_RPC -I$(SYSROOT)$(INCLUDEDIR)/tirpc

# libelf
HAVE_ELF         := y
CFLAGS           += -DHAVE_ELF -I$(SYSROOT)$(INCLUDEDIR)
LDLIBS           +=  -L$(SYSROOT)$(LIBDIR) -lelf

# libmnl
HAVE_MNL         := y
CFLAGS           += -DHAVE_LIBMNL -I$(SYSROOT)$(INCLUDEDIR)
LDLIBS           += -L$(SYSROOT)$(LIBDIR) -lmnl

# libdb
HAVE_BERKELEY_DB := n

# libbsd
CFLAGS           += -DHAVE_LIBBSD
LDLIBS           += -L$(SYSROOT)$(LIBDIR) -lbsd

# libcap
HAVE_CAP         := y
CFLAGS           += -DHAVE_LIBCAP -I$(SYSROOT)$(INCLUDEDIR)
LDLIBS           += -L$(SYSROOT)$(LIBDIR) -lcap

CONF_COLOR       := COLOR_OPT_AUTO

%.o: %.c
	$(QUIET_CC)$(CC) $(CFLAGS) $(EXTRA_CFLAGS) $(CPPFLAGS) -c -o $@ $<
