/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef _DEPLIST_H
#define _DEPLIST_H

#include <sys/queue.h>
#include "dist.h"

/*
 * This describes a package dependency list entry.  This structure is
 * used for depsorting and roughly pretends to be a graph.
 */
typedef struct _deplist_entry_t {
    struct dist *pkg;
    struct dist *dep;
    bool temporary;
    bool permanent;
    TAILQ_ENTRY(_deplist_entry_t) items;
} deplist_entry_t;

/*
 * Linked list defining an list of package dependencies.
 */
typedef TAILQ_HEAD(deplist_s, _deplist_entry_t) deplist_t;

#endif /* _DEPLIST_H */
