/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef _FINFOLIST_H
#define _FINFOLIST_H

#include <sys/queue.h>
#include "dist.h"

/*
 * This describes an finfo list entry.
 */
typedef struct _finfolist_entry_t {
    struct finfo *info;
    TAILQ_ENTRY(_finfolist_entry_t) items;
} finfolist_entry_t;

/*
 * Linked list defining a list of struct finfo structs.
 */
typedef TAILQ_HEAD(finfolist_s, _finfolist_entry_t) finfolist_t;

#endif /* _FINFOLIST_H */
