/* Option flag definitions for all dist-tools commands. */

/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * Copyright David Shea <david@reallylongword.org>
 * Copyright Chris Lumens <chris@bangmoney.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#include <stdint.h>

#ifndef _DIST_TOOLS_OPTS_H
#define _DIST_TOOLS_OPTS_H

#define OPTS_FORCE          (((uint64_t) 1) << 1)
#define OPTS_FORCESCRIPT    (((uint64_t) 1) << 2)
#define OPTS_STRICT         (((uint64_t) 1) << 3)
#define OPTS_QUICK          (((uint64_t) 1) << 4)
#define OPTS_VERBOSE        (((uint64_t) 1) << 5)
#define OPTS_UPGRADE        (((uint64_t) 1) << 6)
#define OPTS_INSTALLETC     (((uint64_t) 1) << 7)
#define OPTS_NODEPCHECK     (((uint64_t) 1) << 8)
#define OPTS_NOARCHCHECK    (((uint64_t) 1) << 9)
#define OPTS_GENATTRS       (((uint64_t) 1) << 10)
#define OPTS_MULTI          (((uint64_t) 1) << 11)
#define OPTS_NOSCRIPTS      (((uint64_t) 1) << 12)
#define OPTS_PKGSPEC        (((uint64_t) 1) << 13)
#define OPTS_ARCH           (((uint64_t) 1) << 14)
#define OPTS_VER            (((uint64_t) 1) << 15)
#define OPTS_MAINTAINER     (((uint64_t) 1) << 16)
#define OPTS_DESC           (((uint64_t) 1) << 17)
#define OPTS_SIZE           (((uint64_t) 1) << 18)
#define OPTS_PKGSIZE        (((uint64_t) 1) << 19)
#define OPTS_FILES          (((uint64_t) 1) << 20)
#define OPTS_LICENSE        (((uint64_t) 1) << 21)
#define OPTS_LEGAL          (((uint64_t) 1) << 22)
#define OPTS_QUERY          (((uint64_t) 1) << 23)
#define OPTS_SHELL          (((uint64_t) 1) << 24)
#define OPTS_NO_DEBUG       (((uint64_t) 1) << 25)
#define OPTS_INSTALL        (((uint64_t) 1) << 26)
#define OPTS_MERGE          (((uint64_t) 1) << 27)
#define OPTS_IGNORE_INSTALL (((uint64_t) 1) << 28)
#define OPTS_IGNORE_SKIP    (((uint64_t) 1) << 29)
#define OPTS_REPO           (((uint64_t) 1) << 30)
#define OPTS_ISDEBUG        (((uint64_t) 1) << 31)
#define OPTS_NO_REPAIR      (((uint64_t) 1) << 32)
#define OPTS_REPAIR         (((uint64_t) 1) << 33)
#define OPTS_DRY_RUN        (((uint64_t) 1) << 34)
#define OPTS_SET_TMPDIR     (((uint64_t) 1) << 35)
#define OPTS_PROVS          (((uint64_t) 1) << 36)
#define OPTS_DEPS           (((uint64_t) 1) << 37)
#define OPTS_DRYRUN         (((uint64_t) 1) << 38)

#endif /* _DIST_TOOLS_OPTS_H */
