/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef _PKGLIST_H
#define _PKGLIST_H

#include <sys/queue.h>
#include "dist.h"

/*
 * This describes a package list entry.
 */
typedef struct _pkglist_entry_t {
    struct dist *pkg;
    TAILQ_ENTRY(_pkglist_entry_t) items;
} pkglist_entry_t;

/*
 * Linked list defining an list of packages.
 */
typedef TAILQ_HEAD(pkglist_s, _pkglist_entry_t) pkglist_t;

#endif /* _PKGLIST_H */
