/* Package signature header file. */

/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef _SIGNATURE_H
#define _SIGNATURE_H

/*
 * Package signature
 */
#define SIGNATURE "Peachtree Linux PACKAGE v"
#define SIGNATURE_21 "2.1"   /* used from release 2.9.0 through 3.3.x */
#define SIGNATURE_22 "2.2"   /* used from release 3.4.0 to present    */

typedef enum _sigver_t {
    NULLSIGVER = 0,
    SIGVER_21 = 21,
    SIGVER_22 = 22
} sigver_t;

/* This is the signature actually in use in this version of dist-tools. */
#define SIGNATURE_IN_USE SIGNATURE_22

#endif /* _SIGNATURE_H */
