/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#ifndef _STRLIST_H
#define _STRLIST_H

#include <sys/queue.h>

/*
 * This describes a basic string list entry.
 */
typedef struct _strlist_entry_t {
    char *val;
    TAILQ_ENTRY(_strlist_entry_t) items;
} strlist_entry_t;

/*
 * Linked list defining an list of strings.
 */
typedef TAILQ_HEAD(strlist_s, _strlist_entry_t) strlist_t;

#endif /* _STRLIST_H */
