/* Check required arguments to make sure they are not missing. */

/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#include <err.h>
#include "dist-tools.h"

/* We consider integer arguments set to <0 to be unset. */
int checkneg(int arg, char *reason)
{
    if (arg < 0) {
        warnx("*** ERROR: %s.", reason);
        return -1;
    }

    return 0;
}

/* Check required string arguments to make sure they are not missing. */
int checknull(char *arg, char *reason)
{
    if (arg == NULL) {
        warnx("*** ERROR: %s.", reason);
        return -1;
    }

    return 0;
}
