/* Free elements in a package structure. */

/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * Copyright David Shea <david@reallylongword.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#include <stdlib.h>
#include "dist-tools.h"
#include "strlist.h"

void freepkg(struct dist *package)
{
    if (package == NULL) {
        return;
    }

    free(package->tree);
    free(package->meta);
    free(package->name);
    free(package->ver);
    free(package->plist);
    free(package->arch);
    free(package->maintainer);
    free(package->desc);
    free(package->repo);
    free(package->license);
    free(package->filename);
    free(package->bom);
    free(package->reloc);
    free(package->etc);
    free(package->distname);
    free(package->depspath);
    free(package->legal);
    free(package->pkgdigest);
    free_strlist(package->deps);
    free_strlist(package->provs);
    free(package);

    return;
}
