/* Determine path to the package database. */

/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#include <assert.h>
#include <string.h>
#include "dist-tools.h"

char *get_path(char *prepend, const char *path)
{
    char *ret = NULL;

    assert(path != NULL);

    if (prepend == NULL) {
        ret = strdup(path);
        assert(ret != NULL);
    } else {
        ret = joinpath(prepend, path, NULL);
    }

    return ret;
}
