/*
 * Initialize a package structure.
 */

/*
 * Copyright David Cantrell <dcantrell@burdell.org>
 * Copyright David Shea <david@reallylongword.org>
 * SPDX-License-Identifier: Apache-2.0
 */

#include <string.h>
#include <assert.h>
#include <archive.h>
#include "dist-tools.h"
#include "signature.h"

struct dist *initpkg(void)
{
    struct dist *package = NULL;

    package = calloc(1, sizeof(*package));
    assert(package != NULL);

    package->id = -1;
    package->sigver = SIGVER_22;
    package->tree = NULL;
    package->meta = NULL;
    package->name = NULL;
    package->ver = NULL;
    package->rel = -1;
    package->plist = NULL;
    package->arch = NULL;
    package->maintainer = NULL;
    package->desc = NULL;
    package->repo = NULL;
    package->license = NULL;
    package->debug = false;
    package->pkgsize = 0;
    package->pkgdigest = NULL;
    package->size = 0;
    package->compression = ARCHIVE_FILTER_ZSTD;
    package->sumtype = SHA256SUM;
    package->do_cleanup = false;
    package->filename = NULL;
    package->bom = NULL;
    package->reloc = NULL;
    package->etc = NULL;
    package->distname = NULL;
    package->depspath = NULL;
    package->legal = NULL;
    package->deps = NULL;
    package->provs = NULL;

    return package;
}
