#!/bin/sh
#
# get-pkg-collection.sh: Starting from the current directory, goes up
#                        to each parent until a 'mk' subdirectory is
#                        seen and gives that path part.
#
# Copyright David Cantrell <dcantrell@burdell.org>
# SPDX-License-Identifier: Apache-2.0

PATH=/bin:/usr/bin
CWD="$(pwd)"
COLLECTION="$(basename "${CWD}")"

while [ ! "${CWD}" = "/" ]; do
    if [ -d "${CWD}/mk" ]; then
        echo "${COLLECTION}"
        exit 0
    fi

    COLLECTION="$(basename "${CWD}")"
    CWD="$(dirname "${CWD}")"
done

exit 1
