#!/bin/sh
# repodata functions used by parts of the build system

init_repodata_db() {
    DISTDIR="${1}"
    [ -d "${DISTDIR}" ] || return 1
    sqlite3 "${DISTDIR}"/repodata.db 'CREATE TABLE IF NOT EXISTS
                                      dists (filename TEXT NOT NULL UNIQUE,
                                             pkg TEXT NOT NULL,
                                             ver TEXT NOT NULL,
                                             rel INTEGER NOT NULL,
                                             repo TEXT NOT NULL,
                                             arch TEXT NOT NULL,
                                             desc TEXT,
                                             maintainer TEXT,
                                             license TEXT,
                                             pkgsize UNSIGNED BIG INT NOT NULL,
                                             size UNSIGNED BIG INT NOT NULL,
                                             debug BOOLEAN,
                                             digest TEXT NOT NULL);'
}

add_repodata() {
    DISTDIR="$1"
    curpkg="$2"

    [ -d "${DISTDIR}" ] || return 1
    [ -f "${DISTDIR}"/"${curpkg}" ] || return 2

    ( cd "${DISTDIR}" || exit 1
      eval "$(distinfo -A -S "${curpkg}")"
      [ "${DEBUG}" = "y" ] && DEBUG=true || DEBUG=false
      DIGEST="$(openssl dgst -"$(echo "${DIGEST_ALGORITHM}" | tr '[:upper:]' '[:lower:]')" "${curpkg}" | tr '[:upper:]' '[:lower:]' | cut -d ' ' -f 2)"
      sqlite3 "${DISTDIR}/repodata.db" "DELETE FROM dists WHERE filename='${FILENAME}'"
      sqlite3 "${DISTDIR}/repodata.db" "INSERT INTO
                                        dists (filename, pkg, ver, rel, license,
                                               repo, arch, maintainer, desc,
                                               pkgsize, size, debug, digest)
                                        VALUES ('${FILENAME}', '${PKG}', '${VER}',
                                                '${REL}', '${LICENSE}', '${REPO}',
                                                '${ARCH}', '${MAINTAINER}', '${DESC}',
                                                '${PKGSIZE}', '${SIZE}', '${DEBUG}',
                                                '${DIGEST}')"
    )
}
