#!/bin/sh
#
# is-sourceforge-url.sh: Prints 'y' if the given URL is a
#                        SourceForge URL, 'n' otherwise.
#
# Copyright David Cantrell <dcantrell@burdell.org>
# SPDX-License-Identifier: Apache-2.0

# The following environment variables and arguments are used:
#    $1           The URL to test.
# The script returns 'y' or 'n' for use in the Makefiles.

ret="n"

for url in "$@" ; do
    if [ "$(echo "${url}" | cut -c-51)" = "http://sourceforge.net/api/file/index/project-name/" ]; then
        ret="y"
    else
        ret="n"
    fi
done

echo "${ret}"
exit 0
