#!/bin/sh
#
# parsebool.sh: Look at variables and figure out the boolean value.
#               Supports true/false, T/F, yes/no, oui/non, and so on.
#
# Copyright David Cantrell <dcantrell@burdell.org>
# SPDX-License-Identifier: Apache-2.0

# The following environment variables and arguments are used:
#    $1           The boolean value to test.
# The script returns 'y' or 'n' for use in the Makefiles.

bool=${1}

if [ -z "${bool}" ]; then
    echo "n"
    exit 0
fi

case $bool in
    [Yy][Ee][Ss]|Y|y|[Tt][Rr][Uu][Ee]|T|t)
        echo "y"
        ;;
    [Nn][Oo]|[Ff][Aa][Ll][Ss][Ee]|N|n|F|f)
        echo "n"
        ;;
    *)
        echo "X"
        ;;
esac

exit 0
