#!/bin/sh
# Verify the required options on distadd are required.

title=" >>> $(basename ${0}) <<< "
line="-$(echo ${title} | sed -e 's|.|-|g')-"
echo
echo "+${line}+"
echo "|${title}|"
echo "+${line}+"
echo

FAILS=0
TREE="$(mktemp -d)"

install_pkg() {
    [ -z "${LEAKCHECK}" ] && env ETCMERGE=${ETCMERGE} ${DISTADD} $* || env ETCMERGE=${ETCMERGE} ${LEAKCHECK} ${DISTADD} $*
}

echo -n "checking 'distadd'..."
out="$(install_pkg 2>&1)"
r=$?
echo "${out}" | grep -q "You must specify at least one package." >/dev/null 2>&1
q=$?
if [ ${r} -eq 1 ] && [ ${q} -eq 0 ]; then
    echo "passed."
else
    FAILS=$((${FAILS} + ${r}))
    echo "FAILED."
fi
[ -z "${LEAKCHECK}" ] || echo "${out}"

rm -rf ${TREE}

# expected 1 failure
[ ${FAILS} -eq 0 ] && exit 0 || exit 1
