#!/bin/sh
#
# Why can't we have nice things?
# $1 is the current version
#

PATH=/usr/bin
CWD="$(pwd)"
OLDVER="${1}"

if [ -z "${OLDVER}" ]; then
    echo "Usage: $(basename ${0}) [version]"
    echo "Example:  $(basename ${0}) 2021.10.24"
    exit 1
fi

TMPDIR="$(mktemp -d)"
trap 'rm -rf ${TMPDIR}' EXIT

cd "${TMPDIR}" || exit 1
git clone -q https://github.com/usbids/usbids.git
cd usbids || exit 1
NEWVER="$(grep Version: usb.ids | awk '{ print $3; }')"

if [ ! "${NEWVER}" = "${OLDVER}" ]; then
    sed -i -r "s/^USB_IDS_VER.*$/USB_IDS_VER = ${NEWVER}/g" ${CWD}/Makefile
    cp -p usb.ids ${CWD}/usb.ids
fi

cd ${CWD}
rm -rf ${TMPDIR}
