divert(-1)dnl
dnl # This is the default sendmail .mc file for Peachtree Linux.  To generate
dnl # the sendmail.cf file from this (perhaps after making some changes), run
dnl #
dnl #     cd /etc/mail
dnl #     make
dnl #
dnl # You can also type 'make FILENAME' to regenerate a specific file in the
dnl # /etc/mail subdirectory.

include(`/usr/share/sendmail/m4/cf.m4')
VERSIONID(`default setup for Peachtree Linux')dnl
OSTYPE(`linux')dnl

dnl # Do not advertize sendmail version.
dnl define(`confSMTP_LOGIN_MSG', `$j Sendmail; $b')dnl

dnl # default logging level is 9, you might want to set it higher to
dnl # debug the configuration
dnl define(`confLOG_LEVEL', `9')dnl

dnl # These settings help protect against people verifying email addresses
dnl # at your site in order to send you email that you probably don't want:
define(`confPRIVACY_FLAGS', `authwarnings,novrfy,noexpn,restrictqrun')dnl

dnl # Uncomment the line below to send outgoing mail through an external server:
dnl define(`SMART_HOST',`mailserver.example.com')

dnl # No timeout for ident:
define(`confTO_IDENT', `0')dnl

dnl # Other settings
define(`confDEF_USER_ID', ``8:12'')dnl
dnl define(`confAUTO_REBUILD')dnl
define(`confTO_CONNECT', `1m')dnl
define(`confTRY_NULL_MX_LIST', `True')dnl
define(`confDONT_PROBE_INTERFACES', `True')dnl
define(`ALIAS_FILE', `/etc/mail/aliases')dnl
define(`STATUS_FILE', `/etc/mail/statistics')dnl
define(`UUCP_MAILER_MAX', `2000000')dnl
define(`confUSERDB_SPEC', `/etc/mail/userdb.db')dnl
define(`confPRIVACY_FLAGS', `authwarnings,novrfy,noexpn,restrictqrun')dnl

dnl # Authentication defaults and options (many and numerous)
define(`confAUTH_OPTIONS', `A')dnl
dnl #
dnl # The following allows relaying if the user authenticates, and disallows
dnl # plaintext authentication (PLAIN/LOGIN) on non-TLS links
dnl #
dnl define(`confAUTH_OPTIONS', `A p')dnl
dnl #.
dnl # PLAIN is the preferred plaintext authentication method and used by
dnl # Mozilla Mail and Evolution, though Outlook Express and other MUAs do
dnl # use LOGIN. Other mechanisms should be used if the connection is not
dnl # guaranteed secure.
dnl # Please remember that saslauthd needs to be running for AUTH..
dnl #
dnl TRUST_AUTH_MECH(`EXTERNAL DIGEST-MD5 CRAM-MD5 LOGIN PLAIN')dnl
dnl define(`confAUTH_MECHANISMS', `EXTERNAL GSSAPI DIGEST-MD5 CRAM-MD5 LOGIN PLAIN')dnl
dnl #
dnl define(`confCACERT_PATH', `/etc/ssl/certs')dnl
dnl define(`confCACERT', `/etc/ssl/ca-bundle.crt')dnl
dnl define(`confSERVER_CERT', `/etc/ssl/certs/sendmail.pem')dnl
dnl define(`confSERVER_KEY', `/etc/ssl/certs/sendmail.pem')dnl

dnl # Restrict what sendmail can run:
FEATURE(`smrsh',`/usr/sbin/smrsh')dnl

dnl # See the README in /usr/share/sendmail/cf for a ton of information on
dnl # how these options work:
FEATURE(`use_cw_file')dnl
FEATURE(`use_ct_file')dnl
FEATURE(`mailertable',`hash -o /etc/mail/mailertable.db')dnl
FEATURE(`virtusertable',`hash -o /etc/mail/virtusertable.db')dnl
FEATURE(`access_db', `hash -T<TMPF> /etc/mail/access')dnl
FEATURE(`blacklist_recipients')dnl
FEATURE(`always_add_domain')dnl
FEATURE(`redirect')dnl

dnl # Uncomment these lines to enable MIMEDefang processing.  You must
dnl # enable the mimedefang service and configure it before enabling it
dnl # in the mail server.
dnl define(`MILTER', `1')dnl
dnl define(`confMILTER_LOG_LEVEL', `6')dnl
dnl INPUT_MAIL_FILTER(`mimedefang', `S=unix:/var/spool/MIMEDefang/mimedefang.sock, F=T, T=S:1m;R:1m;E:5m')dnl

dnl # Use maildrop as procmail
FEATURE(`local_procmail', `/usr/bin/maildrop', `maildrop -d $u')dnl

dnl #
dnl # The following limits the number of processes sendmail can fork to accept.
dnl # incoming messages or process its message queues to 20.) sendmail refuses.
dnl # to accept connections once it has reached its quota of child processes.
dnl #
dnl define(`confMAX_DAEMON_CHILDREN', `20')dnl
dnl #
dnl # Limits the number of new connections per second. This caps the overhead.
dnl # incurred due to forking new sendmail processes. May be useful against.
dnl # DoS attacks or barrages of spam. (As mentioned below, a per-IP address.
dnl # limit would be useful but is not available as an option at this writing.)
dnl #
dnl define(`confCONNECTION_RATE_THROTTLE', `3')dnl
dnl #
dnl # The -t option will retry delivery if e.g. the user runs over his quota.
dnl #

EXPOSED_USER(`root')dnla

dnl # The following causes sendmail to only listen on the IPv4 loopback address
dnl # 127.0.0.1 and not on any other network devices. Remove the loopback
dnl # address restriction to accept email from the internet or intranet.
dnl #
DAEMON_OPTIONS(`Port=smtp,Addr=127.0.0.1, Name=MTA')dnl
dnl #
dnl # The following causes sendmail to additionally listen to port 587 for
dnl # mail from MUAs that authenticate. Roaming users who can't reach their
dnl # preferred sendmail daemon due to port 25 being blocked or redirected find
dnl # this useful.
dnl #
dnl DAEMON_OPTIONS(`Port=submission, Name=MSA, M=Ea')dnl
dnl #
dnl # The following causes sendmail to additionally listen to port 465, but
dnl # starting immediately in TLS mode upon connecting. Port 25 or 587 followed
dnl # by STARTTLS is preferred, but roaming clients using Outlook Express can't
dnl # do STARTTLS on ports other than 25. Mozilla Mail can ONLY use STARTTLS
dnl # and doesn't support the deprecated smtps; Evolution <1.1.1 uses smtps
dnl # when SSL is enabled-- STARTTLS support is available in version 1.1.1.
dnl #
dnl # For this to work your OpenSSL certificates must be configured.
dnl #
dnl DAEMON_OPTIONS(`Port=smtps, Name=TLSMTA, M=s')dnl
dnl #
dnl # We strongly recommend not accepting unresolvable domains if you want to
dnl # protect yourself from spam. However, the laptop and users on computers
dnl # that do not have 24x7 DNS do need this.
dnl #
dnl FEATURE(`accept_unresolvable_domains')dnl

dnl FEATURE(`relay_based_on_MX')dnl

dnl # Also accept email sent to "localhost.localdomain" as local email.
LOCAL_DOMAIN(`localhost')dnl

dnl # The following example makes mail from this host and any additional
dnl # specified domains appear to be sent from mydomain.com
dnl MASQUERADE_AS(`mydomain.com')dnl

dnl # masquerade not just the headers, but the envelope as well
dnl FEATURE(masquerade_envelope)dnl

dnl # masquerade not just @mydomainalias.com, but @*.mydomainalias.com as well
dnl FEATURE(masquerade_entire_domain)dnl
dnl MASQUERADE_DOMAIN(localhost)dnl
dnl MASQUERADE_DOMAIN(localhost.localdomain)dnl
dnl MASQUERADE_DOMAIN(mydomainalias.com)dnl
dnl MASQUERADE_DOMAIN(mydomain.lan)dnl

MAILER(local)dnl
MAILER(smtp)dnl
MAILER(procmail)dnl
