#!/bin/sh
#
# Look for any broken symlinks.
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$0"
LOGNAME="$(basename $TEST .sh).log"
LOG="$CWD/$LOGNAME"
RET=0

rm -f $LOG

_check_tree() {
    find -L \
         /etc /usr /var \
         -not \( -path /usr/src -prune \) \
         -not \( -path /usr/obj -prune \) \
         -not \( -path /usr/distfiles -prune \) \
         -not \( -path /usr/release -prune \) \
         -not \( -path /var/run/udev -prunt \) \
         -type l
}

echo -n "checking for any broken symlinks..."
any=$(_check_tree 2>/dev/null | wc -l)
if [ $any -gt 0 ]; then
    RET=1
    echo "FAIL (see $LOGNAME)"

    echo "Command:" >> $LOG
    echo "find -L /etc /usr /var -type l" >> $LOG
    echo >> $LOG
    echo "$TEST" >> $LOG
    echo "$(echo $TEST | sed -e 's|.|=|g')" >> $LOG
    echo >> $LOG
    _check_tree >> $LOG 2>&1
    echo >> $LOG
else
    echo "pass"
fi

exit $RET
