#!/bin/sh
#
# Run distchk across entire system, which should be clean.
# XXX: this test needs some work, possibly also some changes to the
# actual distchk(8) command.  It is struggling with stdout and stderr.
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$(basename $0)"
LOGFILE="$(basename $TEST .sh).log"
LOG="$CWD/$LOGFILE"
LOGHDR="$(mktemp -p /var/tmp $TEST.hdr.XXXXXX)"
TMPLOG="$(mktemp -p /var/tmp $TEST.XXXXXX)"

trap 'rm -f "$TMPLOG" "$LOGHDR" 2>/dev/null' EXIT

rm -f $LOG

echo -n "checking 'distchk' output (this is slow)..."

distinfo --help >/dev/null 2>&1
retval=$?

if [ $retval -eq 127 ]; then
    echo "FAIL (missing distinfo)"
    exit $retval
fi

distchk --help >/dev/null 2>&1
retval=$?

if [ $retval -eq 127 ]; then
    echo "FAIL (missing distchk)"
    exit $retval
fi

CMD="distchk"

echo "Command:" >> $LOGHDR
echo "distinfo -D | awk '{ print \$2; }' | sort -u | while read pkg ; do" >> $LOGHDR
echo "    distchk \$pkg" >> $LOGHDR
echo "done" >> $LOGHDR
echo >> $LOGHDR
echo "$TEST" >> $LOGHDR
echo "$(echo $TEST | sed -e 's|.|=|g')" >> $LOGHDR
echo >> $LOGHDR

distinfo -D | awk '{ print $2; }' | sort -u | while read pkg ; do
    distchk $pkg > $TMPLOG 2>&1
    retval=$?
    if [ $retval -ne 0 ]; then
	echo >> $LOG
	cat $TMPLOG >> $LOG
    fi
done

if [ -s $LOG ]; then
    cat $LOGHDR $LOG > $TMPLOG
    mv $TMPLOG $LOG
    echo "FAIL (see $LOGFILE)"
    retval=1
else
    rm -f $LOG
    echo "pass"
    retval=0
fi

exit $retval
