#!/bin/sh
#
# Check ghc-pkg cache.  Any return code other than zero is fail.
#

PATH=/usr/bin
CWD="$(pwd)"
TEST="$(basename $0)"
LOGNAME="$(basename $TEST .sh).log"
LOG="$CWD/$LOGNAME"

rm -f $LOG

echo -n "checking 'ghc-pkg check'..."

ghc-pkg >/dev/null 2>&1
retval=$?

if [ $retval -eq 127 ]; then
    echo "FAIL (see $LOGNAME)"
    exit $retval
fi

CMD="ghc-pkg -v2 check"

echo "Command:" >> $LOG
echo "$CMD" >> $LOG
echo >> $LOG
echo "$TEST" >> $LOG
echo "$(echo $TEST | sed -e 's|.|=|g')" >> $LOG
echo >> $LOG

$CMD >> $LOG 2>&1
retval=$?

if [ $retval -eq 0 ]; then
    echo "pass"
    rm -f $LOG
else
    echo "FAIL (see $LOGNAME)"
fi

exit $retval
