#!/bin/sh
#
# Verify all man pages are uncompressed
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$0"
TMPDIR="$(mktemp -d)"
LOGNAME="$(basename $TEST .sh).log"
LOG="$CWD/$LOGNAME"
RET=0

rm -f $LOG
echo -n "checking all man pages are uncompressed..."

for p in /usr/share/man /usr/X11/man ; do
    [ -d "${p}" ] || continue

    find ${p} -print > $TMPDIR/filelist

    while read fname ; do
        t="$(file -b --mime-type "$fname")"

        case ${t} in
            application/x-*)
                echo "$fname should be uncompressed" >> $LOG
                RET=$(($RET + 1)) ;;
        esac
    done < $TMPDIR/filelist
done

[ $RET -eq 0 ] && echo "pass" || echo "FAIL"

rm -rf $TMPDIR
exit $RET
