#!/bin/sh
#
# Verify no empty files in /usr/share/doc or /usr/share/licenses.
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$(basename $0)"
LOG="$CWD/$(basename $TEST .sh).log"
retval=0

rm -f $LOG

find_empty() {
    find $1 -type f | while read pathname ; do
        [ -s $pathname ] || echo "$pathname is empty"
    done
}

echo "$TEST $scriptpath" > $LOG
echo "$(echo "$TEST $scriptpath" | sed -e 's|.|=|g')" >> $LOG
echo >> $LOG
PASSLEN=$(wc -l $LOG | cut -d ' ' -f 1)

for d in /usr/share/doc /usr/share/licenses ; do
    echo -n "checking for empty files in $d..."
    find_empty $d >>$LOG 2>&1
    len=$(wc -l $LOG | cut -d ' ' -f 1)
    if [ $len -gt $PASSLEN ]; then
        echo "FAIL (see $LOG)"
        retval=1
    else
        rm -f $LOG
        echo "pass"
    fi
done

exit $retval
