#!/bin/sh
#
# Verify nothing has 0000 permissions.
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$0"
LOGNAME="$(basename $TEST .sh).log"
LOG="$CWD/$LOGNAME"
RET=0

rm -f $LOG
echo -n "checking that nothing has 0000 permissions..."

echo "Command:" > $LOG
echo "find PATH -perm 0000" >> $LOG
echo >> $LOG

find /usr -perm 0000 >> $LOG
find /var -perm 0000 | grep -v "cron.reboot" >> $LOG
find /etc -perm 0000 >> $LOG
find /root -perm 0000 >> $LOG
find /home -perm 0000 >> $LOG

[ $(wc -l < $LOG) -gt 3 ] && RET=1

if [ $RET -eq 0 ]; then
    rm -f $LOG
    echo "pass"
else
    echo "FAIL"
fi

exit $RET
