#!/bin/sh
#
# Verify some level of Perl sanity.
#

PATH=/usr/bin:/usr/sbin
CWD="$(pwd)"
TEST="$0"
LOGNAME="$(basename $TEST .sh).log"
LOG="$CWD/$LOGNAME"
RET=0

rm -f $LOG

# Files we should not have
for f in /usr/lib/perl/perllocal.pod ; do
    echo -n "checking that ${f} does not exist..."

    if [ -f "${f}" ]; then
        echo "FAIL (see $LOGNAME)"

        echo "Command:" >> $LOG
        echo "distinfo -q $f" >> $LOG
        echo >> $LOG
        distinfo -q $f >> $LOG
        echo >> $LOG
        RET=1
    else
        echo "pass"
    fi
done

exit $RET
